
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《HTML5实战》——2.6 小结 / iVAN</title>

    <meta name="description" content="《HTML5实战》——2.6 小结 2.6 小结 HTML5提供了很多改进Web表单的功能.新的输入类型(如email与tel)为开发者提供了更多的部件,且实现方法更为简洁.对于数据验证来说,在不借助JavaScript的情况下,利用新的输入类型(如pattern)可以完成许多验证任务.更为令人欣喜的是,约束验证API也大大简化了自定义验证测试与错误消息提示的开发工作.更不用说,data-*属性让数据与HTML元素的绑定也更为高效了. 遗憾的是,现今各家浏览器对于实现这些特性的开发进展相对缓慢,造成了目前HTML5在各种浏览器上支">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《HTML5实战》——2.6 小结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>2.6 小结</h3>
<p>HTML5提供了很多改进Web表单的功能。新的输入类型（如email与tel）为开发者提供了更多的部件，且实现方法更为简洁。对于数据验证来说，在不借助JavaScript的情况下，利用新的输入类型（如pattern）可以完成许多验证任务。更为令人欣喜的是，约束验证API也大大简化了自定义验证测试与错误消息提示的开发工作。更不用说，data-*属性让数据与HTML元素的绑定也更为高效了。</p>
<p>遗憾的是，现今各家浏览器对于实现这些特性的开发进展相对缓慢，造成了目前HTML5在各种浏览器上支持度参差不齐的情况。虽然就近期而言，HTML5先进的表单特性在具体浏览器实现上的缓慢与局限无法得到迅速缓解，但这并不应该令我们驻足不前，在Web应用上放弃使用HTML5表单特性。一旦拥有了Modernizr这样先进的特性侦测工具以及polyfills列表，开发者完全可以将HTML5的表单特性高效地用于Web应用开发之中。</p>
<p>虽然本章所讲的这个订单应用实现了保存特性，但它却不能将表单保存在客户端，而只能将其保存到服务器端。将表单保存到客户端本地系统无疑是一种较好的方法，能够为用户提供更快的反馈，另外也基本上（或根本）不需要占用服务器端资源。第3章就将介绍这种技术，我们将利用File System API在客户端本地系统创建并保存文件。</p>
<p>除此之外，第3章还会将到表单的高级编辑功能，这将用到Editing API与Geolocation API。有些表单不仅仅能让用户填入简单的数字与姓名，还能实现更为高级的功能。比如，在博文编辑器中，有时需要为输入的文字提供特殊的格式（如粗体与斜体等）。Editing API的构造非常强大，可以快速地创建出这种富媒体支持。另外，如果网络上的作者需要在博客或其他文章上插入地图，那么我们可以利用Geolocation API为他们提供本地化的地图服务。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:42:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/html5/" title="HTML5">HTML5</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《HTML5实战》——2.6 小结的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5WJZp.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;1&period;4 什么是CSS3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 什么是CSS3 HTML5与CSS3实战指南创建网页的另一个独立的但并非不重要的一部分是层叠样式表(CSS).正如您所了解到的,CSS是一种样式语言,用来描述如何呈现或设置HTML标记样式.CSS3是CSS规范的最新版本.术语&quot;CSS3&quot;不仅是CSS新功能的参考文献,也是CSS规范发展进程的第三级1. CSS3包含CSS2.1(CSS规范的前一版本)的所有内容.它还添加了一些新功能来帮助开发人员解决一些问题,并不再需要非语义标记.复杂的脚本及其他图像.CSS3的新功能包括支持附			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6elayb.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;2&period;2 基本的HTML5模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 基本的HTML5模板 在您学习HTML5和新技术时,您可能想创建自己的蓝图或示例文件,并通过它们来构建基于HTML5的项目.实际上,您可能对已存在的XHTML或HTML4.0项目已经做了类似的事情.我们鼓励您这样做,当然您也可以考虑使用一些在线资源,从而为您提供一个HTML5的基本起点1. 在这个项目中,我们将从头开始,编写自己的代码,并对每一部分进行详细讲解.当然,即使是最好.最庞大的示例网站也不可能包含所有的新元素和技术.我们也会详细讲解一些未在我们所创建的示例网站中应用的新功能.这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZJG6z.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;2&period;3 HTML5常见问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 HTML5常见问题 在简要介绍了HTML5标记以后,您可能会有一些问题.以下是一些常见问题的答案. 2.3.1 为什么这些变更仍能够在旧版浏览器中工作 这是许多开发人员难于接受HTML5的地方.其实这根本不是问题,为了便于读者理解,我们会将HTML5和CSS3的一些新功能(后面章节将介绍)进行对比. 在CSS中,在添加新功能时(例如,border-radius属性将圆角添加到元素中),同时也需要将它添加到浏览器呈现引擎中,因此旧版浏览器无法识别它.所以,用户在使用不支持border-ra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlXJAp.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;第1章 HTML5和CSS3简介1&period;1 什么是HTML5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 HTML5和CSS3简介 本章将简要回顾HTML5和CSS3的发展历程,并介绍HTML5和CSS3对于现代网站及Web应用程序的重要性,以及如何应用这些技术. 当然,如果您希望直接进入创建项目的实质部分,并开始学习如何使用HTML5和CSS3的新技术及功能,您可以先跳到第2章,稍后再回到本章. 1.1 什么是HTML5 我们今天所理解的HTML5,它具有一段相对动荡的历史.您可能已经了解到HTML是万维网上用于描述网页内容及数据的主要标记语言.HTML5是此标记语言的最新版本,它包括新功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYXAoZb.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;1&period;7 实际应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.7 实际应用 推出新技术并希望此技术只为某一级别的浏览器提供编写网页和应用程序的服务,这显然是不现实的.在现实世界中,我们希望HTML5和CSS3取得进一步的发展,所以我们要使它们能够在各种平台上开发网页.这种平台包括现代浏览器.Internet Explorer的早期版本以及正在蓬勃发展的移动设备市场. 在某些时候,可以为不同的用户代理提供不同的指令,但这类似于早期具有混乱的浏览器嗅探和代码分叉的Web.但是这一次不一样,新代码是面向未来的,所以当旧版浏览器不能正常使用时,您仅需删除回调和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgNWLM.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;1&period;6 在现实中，我们想做的是什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 在现实中,我们想做的是什么 在现实中,我们不会创建了一个网站后,然后去做另一个项目,而对前一个项目的工作置之不理.我们会创建Web应用程序,并对其进行更新.微调,对其潜在的性能问题进行测试,调整其设计.布局和内容. 换句话说,在现实中,我们都会再次访问我们所写的代码.所以我们编写代码时,会使用最可靠.易于维护并高效的方法,并便于以后访问代码对其进行必要的完善和修改.显然,这不仅对我们自己创建和维护的网站及Web应用程序十分重要,同样,也对为我们客户所创建和维护的网站及Web应用程序同等重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baqjJwb.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;2&period;6 小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 小结 这就是本章的内容.我们已经学习了HTML5的内容结构基础,并且开始用我们所学到的知识创建了我们的示例项目. 在下一章中,我们将详细介绍在HTML5中如何处理不同类型的文章.然后,在处理更多新HTML元素时,将继续在我们的网页上添加语义元素.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AQExz.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;第2章 HTML5样式的标记2&period;1 The HTML5 Herald简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 HTML5样式的标记 我们已经向您介绍了关于HTML5历史的一些基本知识,以及学习它的重要性.现在,我们将在您的项目中开始使用它.首先向您介绍我们将在本书中逐步创建的示例网站. 在简单介绍了我们将创建的示例网站之后,我们将讨论一些HTML5的基本语法知识,以及编码最佳实践的一些建议.我们将遵循浏览器兼容性及HTML5页面结构基本原理等一些重要原则.最后,我们向您介绍一些HTML5特有的元素,以及如何使它们适应布局. 现在开始吧! 2.1 The HTML5 Herald简介 我们首先从头			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKqOVb.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;2&period;4 定义页面结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 定义页面结构 现在我们已经了解了模板的基础知识,下面将开始介绍详细信息,为网页指定一些基本结构. 在本书后面的章节中,我们将深入介绍添加CSS3功能和其他HTML5的精华.现在,我们将考虑在网站总体布局方面应使用哪些元素.我们将在本节以及后面的章节介绍语义.当使用这个术语时,我们指的是用指定的HTML元素名称来描述其内容的方式.由于HTML5包含一系列广泛的语义元素,因此您会发现,与过去使用HTML4或XHTML的时候相比,多花了一些时间思考内容结构及含义.非常好!理解了内容的意思才能够			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDna8LM.html" rel="bookmark">《HTML5与CSS3实战指南》&mdash;&mdash;1&period;3 我们为什么应关注HTML5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 我们为什么应关注HTML5 如前所述,HTML5的核心部分是新语义元素,以及相关技术和API.通过介绍这些新内容和语言更改,目的是使网页更容易编写.使用和访问. 这些新语义元素,以及类似于WAI-ARIA和微数据(分别在附录A.附录B和附录C中介绍)等其他标准,可以帮助使用人员及计算机更轻松地访问文档,从而有利于可访问性和搜索引擎的优化. 具体地讲,新语义元素适用于设计动态网页,使制作的网页更具模块性和可移植性.我们将在后面的章节中详细介绍. 最后,与HTML5相关的API可以帮助改进网			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6ONpy.html" rel="bookmark" class="title">mysql-求一个Mysql语句  查询出当前周的数据按照天分组</a>
					<div>
						问题描述 求一个Mysql语句 查询出当前周的数据按照天分组 SELECT DATE_FORMAT(uploadTime_beg%Y-%m-%d&quot;&quot;) as time SUM(fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmXW1M.html" rel="bookmark" class="title">JS教程&colon;浅谈ECMAScript自动插入分号</a>
					<div>
						javascript的分号代表语句的结束符,但由于javascript具有分号自动插入规则,所以它是一个十分容易让人模糊的东西,在一般情况下,一个换行就会产生一个分号,但实际情况却不然,也就是说在ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVEEkp.html" rel="bookmark" class="title">点击文本框后才加载验证码的JS代码</a>
					<div>
						经常到各大网站去留言或者发帖的朋友应该知道现在很多网站的留言地方的验证码不是直接显示的.而是在点击验证码输入框之后才会显示出来验证码的.下面作者也总结了一篇关于如何利用js实现点击文本框然后再加载验证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkxNOz.html" rel="bookmark" class="title">新人草根站长对地方网站的盈利尝试</a>
					<div>
						上次和大家分享了一下我建立地方网站说遇到的问题.还有一些比较普遍的新人站长的苦恼,不得不说,对于我们这些有兴趣,但缺少技术和资本的站长来说. 网站的盈利一直是一条模糊的道路.而且有很多新人站长已经付出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4AEPb.html" rel="bookmark" class="title">怎样屏蔽浏览器关闭按钮及ALT&plus;F4 快捷键</a>
					<div>
						按钮|浏览器 屏蔽Alt+F4等快捷键:&lt;script&gt;function KeyDown(){ //屏蔽鼠标右键.Ctrl+n.shift+F10.F5刷新.退格键 //alert(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLPdAp.html" rel="bookmark" class="title">用户体验设计&colon;来源用户关怀让产品和用户双赢</a>
					<div>
						文章描述:来自平凡生活的用户体验设计启示. 用户体验设计,来源自用户关怀,目的是产品和用户双赢.用户,则是广大真实存在的人们,那么来源自生活的用户体验启发,对于虚拟产品的用户体验设计,具有极大的借鉴意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxmdAb.html" rel="bookmark" class="title">用Flashback功能恢复表中数据</a>
					<div>
						这里只罗列出利用Oracle 9i R2的flashback功能来恢复一下某表中的数据的步骤,其实很简单. 首先如果数据库在归档模式下,我们可以通过查询v$archived_log视图来查看各个归档日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Z5rp.html" rel="bookmark" class="title">深入理解&period;net服务器控件</a>
					<div>
						控件生命周期 1.初始化(对应Oninit方法) 这里页面通过ProcessRequest方法来递归遍历它的子控件(即页面中的空间,其实页面也算控件).使子控件依次调用它们的Oninit方法. 我们这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2KnZp.html" rel="bookmark" class="title">python编写爬虫小程序</a>
					<div>
						  我们可以通过python 来实现这样一个简单的爬虫功能,把我们想要的代码爬取到本地.下面就看看如何使用python来实现这样一个功能. 起因 深夜忽然想下载一点电子书来扩充一下kindle,就想起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBm6qz.html" rel="bookmark" class="title">20个简约时尚的网站设计</a>
					<div>
						  今天推荐的20个简约时尚的网站设计,最大的特点是都采用了极少的颜色搭配和比较简单的元素,但都创造了或辽远无边.或宁静寂寥的的视觉效果,每个网站的配色都很赞,同学们可以学习一下 : ) Ten &a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYLD2M.html" rel="bookmark" class="title">word2003中带圈字符的使用</a>
					<div>
						  在编辑word文档时,常常需要输入带圈的数字序列,比如①②③等,这样的带圈的数字序列小于或等于10的时候,可以利用键盘输入,但如果大于10的话,键盘则无法输入,这时则需要利用word2003中提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z728dKp.html" rel="bookmark" class="title">如何一键访问Win8&period;1 Update的磁盘空间？</a>
					<div>
						  之前,我们需要按Win+I,调用Charm超级菜单,依次进入Modern电脑设置&gt;电脑和设备&gt;磁盘空间,浏览本地磁盘空间占用情况.那如何才能一键访问这项磁盘空间功能,这时我们只需借助快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42RGrM.html" rel="bookmark" class="title">小米笔记本与苹果air笔记本硬件对比</a>
					<div>
						  小米笔记本与苹果air笔记本硬件对比 小米笔记本与苹果air笔记本硬件对比 小米笔记本怎么样 做高性能的轻薄笔记本. 小米笔记本与苹果的MacBook Air对比: 薄: 比MacBook Air ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZxDxb.html" rel="bookmark" class="title">如何快速访问局域网中的文件夹</a>
					<div>
						  每次访问局域网中的文件夹时,都需要通过&quot;网上邻居&quot;,或者输入IP地址.主机名,才能访问,很麻烦. 快速访问保存在局域网中的文件夹,先在&quot;网上邻居&quot;中,找到局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBn7Vz.html" rel="bookmark" class="title">Win7系统下如何查看Aero特效所占用的内存大小</a>
					<div>
						  1.右键点击任务栏&quot;启动任务管理器&quot;; 2.打开任务管理后,切换到&quot;进程选项&quot;; 3.然后找到进程名 dwm.exe查看一下内存使用情况,差不多就是Win7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY5jKM.html" rel="bookmark" class="title">一些XP系统中实用的网络使用方法</a>
					<div>
						虽然微软已经停止了对windows xp系统的服务更新,还是有很多的用户仍然继续使用xp系统,据某权威网站数据表明,WinXP系统到目前为止仍是使用人数最多的操作系统,我们都知道,xp系统是一款很经典 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W1Ljb.html" rel="bookmark" class="title">oracle中 一个字段放入多个其它字段内容</a>
					<div>
						问题描述 客户提出这个报表需求 投诉量受理号码2次 3次 4次 5次 5次以上查出2次投诉的投诉量,和所有有两次投诉的号码, 投诉量还比较好查,通过having count可以查出,但是需要把满足条件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32Z4wz.html" rel="bookmark" class="title">c语言 二叉树-CreateBiTree函数参数为什么把引用符号去掉 就不能运行啊？&ast;&amp;amp&semi;amp&semi;amp&semi;是怎么用的说？</a>
					<div>
						问题描述 CreateBiTree函数参数为什么把引用符号去掉 就不能运行啊?*&amp;是怎么用的说? #include #include typedef struct Node //二叉树结构定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YXKaM.html" rel="bookmark" class="title">Android 自定义Dialog 实例&lowbar;Android</a>
					<div>
						开发中经常需要请求网络获取数据,我们在请求网络到得到数据时当中需要等待一些时间,为了增加用户体验,我们一般会用一个Dialog来提示用户我们在加载网络数据. 今天我们来实现如下效果的加载中Dialog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y08oM.html" rel="bookmark" class="title">用Android-X86和VirtualBox打造高性能Android开发环境</a>
					<div>
						资源下载地址: http://www.buildroid.org/Download/android-x86-vm-20120307.iso.gz (Android4.0 通用版本) http://an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrdNaM.html" rel="bookmark" class="title">实型数据比较-objc 里面 CGfloat 的比较</a>
					<div>
						问题描述 objc 里面 CGfloat 的比较 以前学编程的时候,实型数比较如果用==号的话,得出的结果是不可靠的.但在objc里面,两个cgfloat变量竟然可以这样比较,结果还是正确的,有人知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEwBNz.html" rel="bookmark" class="title">makefile文件-Realvnc3&period;3&period;7开源代码嵌入式移植</a>
					<div>
						问题描述 Realvnc3.3.7开源代码嵌入式移植 在realvnc下载了源码版本3.3.7进行交叉编译,解压源码后查看README分两步进行编译,其编译方式说明为: To build this d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA4vqp.html" rel="bookmark" class="title">资源</a>
					<div>
						问题描述 上传资源的权限是怎么回事啊 解决方案 解决方案二:根据积分等级设置的上传资源大小					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB7K8b.html" rel="bookmark" class="title">北京联通年底充值返话费：最高充500元送150元</a>
					<div>
						北京联通&quot;2G预付费客户年底充值送话费活动&quot; C114讯 11月30日下午消息(李明)中国联通北京分公司(下称&quot;北京联通&quot;)推出&quot;2G预付费客户年底充 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo7o8M.html" rel="bookmark" class="title">struts2-Struts2 s&colon;select 如何加载List&amp;amp&semi;amp&semi;lt&semi;Object&lbrack;&rsqb;&amp;amp&semi;amp&semi;gt&semi; 和Map&amp;amp&semi;amp&semi;lt&semi;String&comma;String&amp;amp&semi;amp&semi;gt&semi;</a>
					<div>
						问题描述 Struts2 s:select 如何加载List&lt;Object[]&gt; 和Map&lt;String,String&gt; map的时候这么写的/s:select 报错 org. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgde0M.html" rel="bookmark" class="title">不用锚点也可以平滑滚动到页面的指定位置实现代码&lowbar;jquery</a>
					<div>
						不用锚点也可以平滑滚动到页面的指定位置 复制代码 代码如下: &lt;!DOCTYPE html&gt; &lt;html &gt; &lt;head&gt; &lt;meta content=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVBxqz.html" rel="bookmark" class="title">JavaScript中的其他对象&lowbar;基础知识</a>
					<div>
						anchors[]; links[]; Link 连接对象 用法:document.anchors[[x]]; document.links[[x]]; &lt;anchorId&gt;; &lt;l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkl9nz.html" rel="bookmark" class="title">Android开发中的简单设置技巧集锦&lowbar;Android</a>
					<div>
						本文实例总结了Android开发中的简单设置技巧.分享给大家供大家参考,具体如下: 1开机图片: android-logo-mask.png android-logo-shine.png 这两个图片一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7YOQb.html" rel="bookmark" class="title">配置高可用 mongodb 集群教程</a>
					<div>
						在大数据的时代,传统的关系型数据库要能更高的服务必须要解决高并发读写.海量数据高效存储.高可扩展性和高可用性这些难题.不过就是因为这些问题Nosql诞生了. NOSQL有这些优势: 大数据量,可以通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYxGPb.html" rel="bookmark" class="title">本地SSD盘正式商用</a>
					<div>
						  随着云计算服务使用的迅速发展,用户业务场景复杂性的不断增加,同时智能终端的快速普及使得游戏.移动APP.电商等移动领域用户出现爆发式增长,运行着这些应用的云服务器承受着越来越大的存储性能压力,对于 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
